changeset 57750cc20d8a in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset;node=57750cc20d8a
description:
app-tryton/account_payment_stripe: Versions bump
(Portage version: 2.3.69/hg/Linux x86_64, signed Manifest commit with
key 0x574F6EFF4E477517)
Signed-off-by: Cédric Krier <[email protected]>
diffstat:
app-tryton/account_payment_stripe/Manifest | 36
+++++-----
app-tryton/account_payment_stripe/account_payment_stripe-4.4.5.ebuild | 36
----------
app-tryton/account_payment_stripe/account_payment_stripe-4.4.6.ebuild | 36
++++++++++
app-tryton/account_payment_stripe/account_payment_stripe-4.6.4.ebuild | 36
----------
app-tryton/account_payment_stripe/account_payment_stripe-4.6.5.ebuild | 36
++++++++++
app-tryton/account_payment_stripe/account_payment_stripe-4.8.5.ebuild | 36
----------
app-tryton/account_payment_stripe/account_payment_stripe-4.8.6.ebuild | 36
++++++++++
app-tryton/account_payment_stripe/account_payment_stripe-5.0.3.ebuild | 36
----------
app-tryton/account_payment_stripe/account_payment_stripe-5.0.4.ebuild | 36
++++++++++
app-tryton/account_payment_stripe/account_payment_stripe-5.2.0.ebuild | 36
----------
app-tryton/account_payment_stripe/account_payment_stripe-5.2.1.ebuild | 36
++++++++++
11 files changed, 198 insertions(+), 198 deletions(-)
diffs (450 lines):
diff -r 83b70de0547e -r 57750cc20d8a app-tryton/account_payment_stripe/Manifest
--- a/app-tryton/account_payment_stripe/Manifest Sun Aug 04 15:34:20
2019 +0200
+++ b/app-tryton/account_payment_stripe/Manifest Sun Aug 04 15:37:22
2019 +0200
@@ -1,28 +1,28 @@
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256
-DIST trytond_account_payment_stripe-4.4.5.tar.gz 31658 BLAKE2B
bd4b8241a3e9b0d2bbf0dedb1a4c2b2125d49395b7a2ee55cc83b372b45931938753c4115f3d456ab95abdafdb79c45f7a7dd338164c9ca89fdec062db3d5d30
SHA512
179fed78633b48188c8dc19106d6bcb83edf4fd70f1e16be198e0a53e5019f5226f95025e9a83cd9c269fdc82d00dd8a30c7a05c36538fa77fa9141d0d54f072
-DIST trytond_account_payment_stripe-4.6.4.tar.gz 36357 BLAKE2B
992cc868d8be8630694aba053346a31ca6869237dbc7d6db08510954b72462046ce22eb96f894eb84b4f64830af5d58de7ef9b051d3d90f03139964dfc5a9f48
SHA512
050df78ad9dc9f6b40a591f86f5168983f9dd776d6ba147deaba80c1b80a7f86ce0e2f1d1c9c69bcd23f277efd5ed4d65dec7b9480f324e312d4d59c313175e5
-DIST trytond_account_payment_stripe-4.8.5.tar.gz 40522 BLAKE2B
e85ac2f9494e1f0720c51e9a1c9af903eb959af1fb95dce11e624b00a9d204dda7549c2a4c948f36a5ea2b0233c25c35c4d6b26567199f97e5fdeb7eaf18dd09
SHA512
d4b6f9e8808da8392e3b9870dcb0d7ad36ea5bd270c0dd39d281d82421e7e8db3330726681a3bb5e9d3f493982cd371ceb4a4f3574575e33baf8aa31a00d45b9
-DIST trytond_account_payment_stripe-5.0.3.tar.gz 40393 BLAKE2B
71ca8119da86a235fc56c8883df309f9909aa86d205ccf01a91b3b357652578c0f66a8907a38555e428c3008c2776bed6d76a5b0a676232ea9120ab5a78f5372
SHA512
a45c6146581c6fe297e0c32395bf04c05844784d9062aa263fc2e44144a7db281d9fca97a72886b68c0e6b6ec46b623566bbc55dc4288cbdf2b8cda550682cbc
-DIST trytond_account_payment_stripe-5.2.0.tar.gz 42747 BLAKE2B
68fb88047e4e040bbe4c76f1fb8a76703a762de825132c119bae7c22db7a04d00a0742338bd007a77a3d6eb3a5c185312ca209d0b118d233ddaf5866b95018f5
SHA512
52896a05ec1df45f1c400778cc1550d09ef8dcfe43053469098954bbe193036f6d346c99325452774b42efaa3dbd06b8e09dc414f0249c6dba4d52d1d1aaa726
-EBUILD account_payment_stripe-4.4.5.ebuild 1055 BLAKE2B
f6137e35bcd37111bcc118ee87d04008dd3966fa7ca4fd8378f3d6a95314cfe4289698f9da9f2564bff04bc602c7c725dca73c59209e6b1e2f038fd425aac501
SHA512
eb703e25bfd3a58d2804a7adb7b1e3b84661b3ae926f4aa2fe6d0ea8546b362a58e6e5513852ca8839af60dfbfcf697388d0571366bcb18624c8e90aca6a5614
-EBUILD account_payment_stripe-4.6.4.ebuild 1078 BLAKE2B
18edd653bfe4e6430f305959c41bb91711e5f93672d4caf15c20fd7da9d288e12825cfc7c22d831dfb98c385a2e8b33d160786ac042930b195359e09cd5d5f9d
SHA512
96b5a0d06c34ff8005d61adc603f2b40cc778ea84f21ace160b53d781b8d02ec2b9199074906b44458569ee6fa54d520773a18779b8c977b11c1778d6c069f44
-EBUILD account_payment_stripe-4.8.5.ebuild 1078 BLAKE2B
18edd653bfe4e6430f305959c41bb91711e5f93672d4caf15c20fd7da9d288e12825cfc7c22d831dfb98c385a2e8b33d160786ac042930b195359e09cd5d5f9d
SHA512
96b5a0d06c34ff8005d61adc603f2b40cc778ea84f21ace160b53d781b8d02ec2b9199074906b44458569ee6fa54d520773a18779b8c977b11c1778d6c069f44
-EBUILD account_payment_stripe-5.0.3.ebuild 946 BLAKE2B
37c16e7a9ea9288572d603c1563706f8fb8d701f3665bd12084484e87de4238dbbd2865c16f8b14290950544bb6b2646ae3a48f9dc29c6e1a83e74aba30574fa
SHA512
80fe14e0f3acb5230a85318b4c126d190febf02b7706439a799b33bf2942c3421aa32e58e4dcfa84867ec28c231844dc54e3a47381992657a0915cbfcfe984c2
-EBUILD account_payment_stripe-5.2.0.ebuild 935 BLAKE2B
10ffd953c5bad1a5394ca9874999e312a1d4efe6bbfc11a89c05ea918c33615b62fe7e29af75ff294335710187b80d6304e9c63774a95959d8aea4b786c91019
SHA512
9dad15e36d43bcdbfb9bb71e8db06eb78e3af3394903831fe63c1a6008c1a33046e163dffba645e19983a637f6676d0655717ee80efb6e03d86cbc20cd5541f8
+DIST trytond_account_payment_stripe-4.4.6.tar.gz 31748 BLAKE2B
e8301e71c30c1a4fd4f7013e9b83471992caa5839a9ede95bf5fe73cd6fa536a90131e8f1958dc07c6fa5cfa99395d9cf8af6bd554ee081cd32ce3068841ea85
SHA512
93942e7459014f72dcfda14c547b494753bf32959358c9d0171b77b26c81bea4b15f58a227ff72a823b1e917716211a926adbbae9f241d5dc1c3dfc7d92a735a
+DIST trytond_account_payment_stripe-4.6.5.tar.gz 36437 BLAKE2B
23f2d96dc6ac76bd5445963c30ddfc8884d2088725235735d72c4bed753e67d76ce3c2dfef20d923b225697ed067a40a316423788c331052022b41c52fc5ed54
SHA512
5ad809879fee727238f26478e83fa75b2d8ad614afbc2decdc50149381a4f31e17923afb563cc827a36bb3144fde6f00f3f779423703649a7a5439590764b4ff
+DIST trytond_account_payment_stripe-4.8.6.tar.gz 40641 BLAKE2B
c9529b6d68baf704b6cbf83d9651b67ef8f9c01307d5d462b6af4b2b142a35daa73e25f973cc169a05021488bf0b30318a11bc5a55f52f7c7a1e3af9895f39a2
SHA512
ac4393038f609fe5c55c1cfa446e99e63af603dc251c5a5dfdc676ecd1b3e68c1a4869791018c3e199075318075ba43e60385a870b56a5085da86c203590755c
+DIST trytond_account_payment_stripe-5.0.4.tar.gz 40519 BLAKE2B
3f65a81fd54d193bcbcd17a025f469b20b15bca47d88a68a4e06856749bd604d6b106c6a1d87658a466fd85299ca16c580adbe7ff7094f3e18f0784e0296950d
SHA512
acfc123e52a791a663f5bbd61d5fa389cc2f58ee1eb9d4c324f305a09bde7d12c22b7770704bb579483125cebca75658ad0c1296fba2855bcdf786348124af0a
+DIST trytond_account_payment_stripe-5.2.1.tar.gz 42673 BLAKE2B
ca0dddba4c9cfee509d7547470564b335acb9979b3f84a6ff2c408c84401d7170ad644194aaabd1e7b9a2863f01318e3c5298b61eda70727cf402f745e9608ab
SHA512
02c96cf657ee7f0f8d4fbc3945c8b046842cc38aa2d3428435c37d39cdc18d0785f24d4d658bd3aa29047bd280c599d1c5d9410ded5dc36806ebde03ca0a0fbb
+EBUILD account_payment_stripe-4.4.6.ebuild 1055 BLAKE2B
f6137e35bcd37111bcc118ee87d04008dd3966fa7ca4fd8378f3d6a95314cfe4289698f9da9f2564bff04bc602c7c725dca73c59209e6b1e2f038fd425aac501
SHA512
eb703e25bfd3a58d2804a7adb7b1e3b84661b3ae926f4aa2fe6d0ea8546b362a58e6e5513852ca8839af60dfbfcf697388d0571366bcb18624c8e90aca6a5614
+EBUILD account_payment_stripe-4.6.5.ebuild 1078 BLAKE2B
18edd653bfe4e6430f305959c41bb91711e5f93672d4caf15c20fd7da9d288e12825cfc7c22d831dfb98c385a2e8b33d160786ac042930b195359e09cd5d5f9d
SHA512
96b5a0d06c34ff8005d61adc603f2b40cc778ea84f21ace160b53d781b8d02ec2b9199074906b44458569ee6fa54d520773a18779b8c977b11c1778d6c069f44
+EBUILD account_payment_stripe-4.8.6.ebuild 1078 BLAKE2B
18edd653bfe4e6430f305959c41bb91711e5f93672d4caf15c20fd7da9d288e12825cfc7c22d831dfb98c385a2e8b33d160786ac042930b195359e09cd5d5f9d
SHA512
96b5a0d06c34ff8005d61adc603f2b40cc778ea84f21ace160b53d781b8d02ec2b9199074906b44458569ee6fa54d520773a18779b8c977b11c1778d6c069f44
+EBUILD account_payment_stripe-5.0.4.ebuild 946 BLAKE2B
37c16e7a9ea9288572d603c1563706f8fb8d701f3665bd12084484e87de4238dbbd2865c16f8b14290950544bb6b2646ae3a48f9dc29c6e1a83e74aba30574fa
SHA512
80fe14e0f3acb5230a85318b4c126d190febf02b7706439a799b33bf2942c3421aa32e58e4dcfa84867ec28c231844dc54e3a47381992657a0915cbfcfe984c2
+EBUILD account_payment_stripe-5.2.1.ebuild 935 BLAKE2B
10ffd953c5bad1a5394ca9874999e312a1d4efe6bbfc11a89c05ea918c33615b62fe7e29af75ff294335710187b80d6304e9c63774a95959d8aea4b786c91019
SHA512
9dad15e36d43bcdbfb9bb71e8db06eb78e3af3394903831fe63c1a6008c1a33046e163dffba645e19983a637f6676d0655717ee80efb6e03d86cbc20cd5541f8
MISC metadata.xml 293 BLAKE2B
d8a5a8cfc8b3e88b4e2e8cfffcca51ba809d59c4acde7301836369e0a5706b60c2a1ea19f318c84c9b4e9bd7cdb6e7854c4b43e848067576b415f335dc3659a6
SHA512
420ebcdcd3f8967912435c39c2f6d172e08e207cf1d785f474c24b444976009cdc0dd95cb7f5e7b8fa67c4ff37a257dcaa1de6981e3b1d44a227e77a4ba143e2
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl0A0jhfFIAAAAAALgAo
+iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl1G35JfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDc0
RkZENTc0ODYwRDMxRUUzOTQ0MDk2MzU3NEY2RUZGNEU0Nzc1MTcACgkQV09u/05H
-dRfjtgf/cjir6AFM7JvzU3Qde1/f+EDZHi3MN7mW7fUDPYEA5SzNXPSimRAV914S
-JQF1lZoZa3y+KXmwsYAoi0I9Iru4KMXTROEFz+5zRwZqpAVntxVN+IDiXHmheHJu
-9m6UyIDv/4NCJLhkqVSUugciugJCXJR9bost4FD+i9XdkbNF9YI23uu4R/eGCYbG
-VPYwANK8mRWstTv5pJwhjeNZ4A+xxKp/3y2QRC43SG6CwfPblxQGs00NkkWsUTc9
-QHD1ergDaoeILKj2GxjAv1dwjbiO9JT/y8UANTdMps+hy+QelB0y4xaQ+PmDMXN2
-XW+60D+DzlckUlnwQdI81c+gcVSTnw==
-=xBlc
+dRc1Xwf9Hh/mDTwkUj6IY5C6qX+MxcsNjmLad/WTcSoKHvg3fX34TnzSThkeOO52
+IPk5vIQN8zWPxnKAuj1FC3jR1DEALTSvFo4mxt4Fu+vInmaVa11b36iGD9x0smeC
+ZtL+BhJUlmIoCGj/Y7ldDx77LK851WA3zKREVlF1xnACKb4Uunr3dhwBLdcYqkJw
+eUjHHBhYG90q41pxdcUihzP7eysDfqsi6HULP77pkyYtDzIDls5jgHzDIVLiLJLW
+9qgXT+kbxU4sT6t2/orb9QmLsPVFFZvvYQb0xEv935v3HllILbxDxpuGRQSpRg9i
+aJbNdgpcvSZjwiZ4YDELWOZpVWFugA==
+=NntA
-----END PGP SIGNATURE-----
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.4.5.ebuild
--- a/app-tryton/account_payment_stripe/account_payment_stripe-4.4.5.ebuild
Sun Aug 04 15:34:20 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
-
-inherit distutils-r1 versionator
-
-DESCRIPTION="Tryton module for Stripe payment"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
- dev-python/stripe[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.4.6.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account_payment_stripe/account_payment_stripe-4.4.6.ebuild
Sun Aug 04 15:37:22 2019 +0200
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Tryton module for Stripe payment"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
+ dev-python/stripe[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.6.4.ebuild
--- a/app-tryton/account_payment_stripe/account_payment_stripe-4.6.4.ebuild
Sun Aug 04 15:34:20 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
-
-inherit distutils-r1 versionator
-
-DESCRIPTION="Tryton module for Stripe payment"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.6.5.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account_payment_stripe/account_payment_stripe-4.6.5.ebuild
Sun Aug 04 15:37:22 2019 +0200
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Tryton module for Stripe payment"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.8.5.ebuild
--- a/app-tryton/account_payment_stripe/account_payment_stripe-4.8.5.ebuild
Sun Aug 04 15:34:20 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
-
-inherit distutils-r1 versionator
-
-DESCRIPTION="Tryton module for Stripe payment"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-4.8.6.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account_payment_stripe/account_payment_stripe-4.8.6.ebuild
Sun Aug 04 15:37:22 2019 +0200
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Tryton module for Stripe payment"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_payment-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-5.0.3.ebuild
--- a/app-tryton/account_payment_stripe/account_payment_stripe-5.0.3.ebuild
Sun Aug 04 15:34:20 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_4,3_5,3_6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Tryton module for Stripe payment"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_payment-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-5.0.4.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account_payment_stripe/account_payment_stripe-5.0.4.ebuild
Sun Aug 04 15:37:22 2019 +0200
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tryton module for Stripe payment"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_payment-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-5.2.0.ebuild
--- a/app-tryton/account_payment_stripe/account_payment_stripe-5.2.0.ebuild
Sun Aug 04 15:34:20 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_5,3_6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Tryton module for Stripe payment"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_payment-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 83b70de0547e -r 57750cc20d8a
app-tryton/account_payment_stripe/account_payment_stripe-5.2.1.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account_payment_stripe/account_payment_stripe-5.2.1.ebuild
Sun Aug 04 15:37:22 2019 +0200
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tryton module for Stripe payment"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_payment-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/stripe-1.59.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}